taccuino.vo

## Class SintomoRequestDTO

- java.lang.Object
- - taccuino.vo.SintomoRequestDTO

- Direct Known Subclasses:
    SintomoResponseDTO

      public class SintomoRequestDTO
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `aiCode`
    `protected String` | `aiCodeSystem`
    `protected String` | `aiCodeSystemName`
    `protected Double` | `aiCodeSystemVersion`
    `protected String` | `areaInteressata`
    `protected LocalDate` | `dataFineSintomo`
    `protected LocalDate` | `dataInizioSintomo`
    `protected String` | `descCode`
    `protected String` | `descCodeSystem`
    `protected String` | `descCodeSystemName`
    `protected Double` | `descCodeSystemVersion`
    `protected String` | `descrizione`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SintomoRequestDTO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAiCode()`
    `String` | `getAiCodeSystem()`
    `String` | `getAiCodeSystemName()`
    `Double` | `getAiCodeSystemVersion()`
    `String` | `getAreaInteressata()`
    `LocalDate` | `getDataFineSintomo()`
    `LocalDate` | `getDataInizioSintomo()`
    `String` | `getDescCode()`
    `String` | `getDescCodeSystem()`
    `String` | `getDescCodeSystemName()`
    `Double` | `getDescCodeSystemVersion()`
    `String` | `getDescrizione()`
    `void` | `setAiCode(String aiCode)`
    `void` | `setAiCodeSystem(String aiCodeSystem)`
    `void` | `setAiCodeSystemName(String aiCodeSystemName)`
    `void` | `setAiCodeSystemVersion(Double aiCodeSystemVersion)`
    `void` | `setAreaInteressata(String areaInteressata)`
    `void` | `setDataFineSintomo(LocalDate dataFineSintomo)`
    `void` | `setDataInizioSintomo(LocalDate dataInizioSintomo)`
    `void` | `setDescCode(String descCode)`
    `void` | `setDescCodeSystem(String descCodeSystem)`
    `void` | `setDescCodeSystemName(String descCodeSystemName)`
    `void` | `setDescCodeSystemVersion(Double descCodeSystemVersion)`
    `void` | `setDescrizione(String descrizione)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dataInizioSintomo

          protected LocalDate dataInizioSintomo

    - #### dataFineSintomo

          protected LocalDate dataFineSintomo

    - #### descrizione

          protected String descrizione

    - #### areaInteressata

          protected String areaInteressata

    - #### descCode

          protected String descCode

    - #### descCodeSystem

          protected String descCodeSystem

    - #### descCodeSystemName

          protected String descCodeSystemName

    - #### descCodeSystemVersion

          protected Double descCodeSystemVersion

    - #### aiCode

          protected String aiCode

    - #### aiCodeSystem

          protected String aiCodeSystem

    - #### aiCodeSystemName

          protected String aiCodeSystemName

    - #### aiCodeSystemVersion

          protected Double aiCodeSystemVersion

  - ### Constructor Detail

    - #### SintomoRequestDTO

          public SintomoRequestDTO()

  - ### Method Detail

    - #### getDataInizioSintomo

          public LocalDate getDataInizioSintomo()

    - #### setDataInizioSintomo

          public void setDataInizioSintomo(LocalDate dataInizioSintomo)

    - #### getDataFineSintomo

          public LocalDate getDataFineSintomo()

    - #### setDataFineSintomo

          public void setDataFineSintomo(LocalDate dataFineSintomo)

    - #### getDescrizione

          public String getDescrizione()

    - #### setDescrizione

          public void setDescrizione(String descrizione)

    - #### getAreaInteressata

          public String getAreaInteressata()

    - #### setAreaInteressata

          public void setAreaInteressata(String areaInteressata)

    - #### getDescCode

          public String getDescCode()

    - #### setDescCode

          public void setDescCode(String descCode)

    - #### getDescCodeSystem

          public String getDescCodeSystem()

    - #### setDescCodeSystem

          public void setDescCodeSystem(String descCodeSystem)

    - #### getDescCodeSystemName

          public String getDescCodeSystemName()

    - #### setDescCodeSystemName

          public void setDescCodeSystemName(String descCodeSystemName)

    - #### getAiCode

          public String getAiCode()

    - #### setAiCode

          public void setAiCode(String aiCode)

    - #### getAiCodeSystem

          public String getAiCodeSystem()

    - #### setAiCodeSystem

          public void setAiCodeSystem(String aiCodeSystem)

    - #### getAiCodeSystemName

          public String getAiCodeSystemName()

    - #### setAiCodeSystemName

          public void setAiCodeSystemName(String aiCodeSystemName)

    - #### getDescCodeSystemVersion

          public Double getDescCodeSystemVersion()

    - #### setDescCodeSystemVersion

          public void setDescCodeSystemVersion(Double descCodeSystemVersion)

    - #### getAiCodeSystemVersion

          public Double getAiCodeSystemVersion()

    - #### setAiCodeSystemVersion

          public void setAiCodeSystemVersion(Double aiCodeSystemVersion)